Skip to main content

Get Transcript By Sip Call Id

GET 

/api/phone/logs/by-sip/:sip_call_id/transcript

Get full transcript for a call, looked up by SIP call ID. This is useful for workflow timeline where we have the sip_call_id from stage outputs.

Query Parameters: include: Optional. Set to 'nodes' to get organized timeline with stage grouping.

Default response: { "messages": [{"role": "user", "content": "...", "start_sec": 0, "end_sec": 1.5}, ...], "tool_calls": [...], "metadata": {"call_start_epoch": ..., "total_duration_sec": ..., "format_version": 1} }

With include=nodes: { "messages": [...], "nodes": [...], // Events organized by workflow stage "duration": 62.5, // Total call duration "tool_summary": {...}, // Tool execution statistics ... }

Request

Responses

Successful Response